//
//  CeImage.h
//  BitmapEffets
//
// Code source d'origine par Renaud Pradenc.
// Ce source a été créé pour la présentation de Cocoa Heads Paris (oct 2010).
// Vous êtes libres de le réutiliser, de le modifier et de le redistribuer.
// Soyez sympas: conservez simplement ce texte de présentation.


// ** Plus ou moins un wrapper ObjC pour CGImage **

#import <Cocoa/Cocoa.h>


@interface CeImage : NSObject
{
	CGImageRef cgImage;
}

- (id) initWithImageAtURL:(NSURL *)url;
- (id) initWithCGBitmapContext:(CGContextRef)cgBitmapContext;

- (void) drawInRect:(CGRect)rect;
- (void) drawInCGContext:(CGContextRef)cgContext rect:(CGRect)rect;
- (CGSize) size;

@end
