//
//  CeBitmapView.h
//  BitmapEffets
//
// Code source d'origine par Renaud Pradenc.
// Ce source a été créé pour la présentation de Cocoa Heads Paris (oct 2010).
// Vous êtes libres de le réutiliser, de le modifier et de le redistribuer.
// Soyez sympas: conservez simplement ce texte de présentation.



// ** Vue qui affiche la bitmap **  


#import <Cocoa/Cocoa.h>
#import "CeImage.h"

@interface CeBitmapView : NSView
{
	CeImage	*bitmap;
}

// MARK: Properties
@property (retain) CeImage *bitmap;

// MARK: Drawing
- (void) drawRect:(NSRect)dirtyRect;
+ (CGRect) _rectOfSize:(CGSize)size centredInRect:(CGRect)boundsRect;

@end
