//
//  CeConvolutionMatrix.h
//  BitmapEffets
//
// Code source d'origine par Renaud Pradenc.
// Ce source a été créé pour la présentation de Cocoa Heads Paris (oct 2010).
// Vous êtes libres de le réutiliser, de le modifier et de le redistribuer.
// Soyez sympas: conservez simplement ce texte de présentation.

// ** Matrice de convolution  **
// Modifier le pixel central selon les pixels attenants, auxquels sont appliqués des coefficients.

#import <Cocoa/Cocoa.h>
#import "CeEffect.h"

@interface CeConvolutionMatrix : CeEffect
{
	// Matrix
	float nw;	float n;	float ne;
	float w;	float c;	float e;
	float sw;	float s;	float se;
}

@end
